Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractFeatureMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData

All Implemented Interfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

Direct Known Subclasses:
  AbstractBeanMetaData, AbstractClassLoaderMetaData, AbstractConstructorMetaData, AbstractLifecycleMetaData, AbstractParameterMetaData, AbstractPropertyMetaData, AbstractSupplyMetaData

public class AbstractFeatureMetaData
extends org.jboss.util.JBossObject
implements FeatureMetaData

General metadata.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Field Summary
`protected Set` | `annotations` The annotations
`protected String` | `description` The description

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractFeatureMetaData()` Create a new meta data

Method Summary
`Set` | `getAnnotations()` Get the annotations.
`Iterator` | `getChildren()` Return the child nodes
`String` | `getDescription()` Get the descrition.
`void` | `setAnnotations(Set annotations)` Set the annotations.
`void` | `setDescription(String description)` Set the description.
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### description

    protected String description

  The description

### annotations

    protected Set annotations

  The annotations

Constructor Detail

### AbstractFeatureMetaData

    public AbstractFeatureMetaData()

  Create a new meta data

Method Detail

### setDescription

    public void setDescription(String description)

  Set the description.

  Parameters:
    `description` - the description.

### setAnnotations

    public void setAnnotations(Set annotations)

  Set the annotations.

  Parameters:
    `annotations` - Set

### getDescription

    public String getDescription()

  Description copied from interface: `FeatureMetaData`
  Get the descrition.

  Specified by:
    `getDescription` in interface `FeatureMetaData`
  Returns:
    the description.

### getAnnotations

    public Set getAnnotations()

  Description copied from interface: `FeatureMetaData`
  Get the annotations.

  Specified by:
    `getAnnotations` in interface `FeatureMetaData`
  Returns:
    Set.

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Parameters:
    `visitor` - the visitor

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Returns:
    Iterator or null if there aren't any

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.